Bug 523138 - (CVE-2007-6731) CVE-2007-6731 xmp: Multiple buffer overflows in OXM decoder
CVE-2007-6731 xmp: Multiple buffer overflows in OXM decoder
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://aluigi.altervista.org/adv/xmpb...
impact=moderate,public=20071227,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-14 04:49 EDT by Jan Lieskovsky
Modified: 2009-10-09 09:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-09 09:26:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-09-14 04:49:40 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-6731 to
the following vulnerability:

Extended Module Player (XMP) 2.5.1 and earlier allow remote attackers
to execute arbitrary code via an OXM file with a negative value, which
bypasses a check in (1) test_oxm and (2) decrunch_oxm functions in
misc/oxm.c, leading to a buffer overflow.

References:
-----------
http://aluigi.altervista.org/adv/xmpbof-adv.txt
http://www.securityfocus.com/bid/27047
http://www.vupen.com/english/advisories/2008/0009

PoC: 
----
http://aluigi.org/poc/xmpbof.zip (/a.out 1 out.oxm)

Upstream status -- issued addressed in xmp-2.6.0:
-------------------------------------------------

http://sourceforge.net/project/shownotes.php?group_id=26422&release_id=692238

Credit: 
-------
Luigi Auriemma
Comment 1 Jan Lieskovsky 2009-09-14 04:51:37 EDT
This issue affects the versions of xmp package, as shipped with
Fedora releases of 10 and 11 (xmp-2.5.1-3.fc10 and xmp-2.5.1-4.fc11).

Please fix.
Comment 2 Dominik 'Rathann' Mierzejewski 2009-09-14 11:40:25 EDT
Thanks for the report. I'm working on an update.
Comment 3 Fedora Update System 2009-09-14 19:51:25 EDT
xmp-2.7.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xmp-2.7.1-1.fc11
Comment 4 Fedora Update System 2009-09-14 19:59:00 EDT
xmp-2.7.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xmp-2.7.1-1.fc10
Comment 5 Fedora Update System 2009-09-24 01:14:42 EDT
xmp-2.7.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-09-24 01:22:22 EDT
xmp-2.7.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.